testing::internal::IsAProtocolMessage< T > Struct Template Reference

`#include <gtest.h>`

Inheritance diagram for testing::internal::IsAProtocolMessage< T >:

## Additional Inherited Members

Public Types inherited from testing::internal::bool_constant< ImplicitlyConvertible< const T *, const ::ProtocolMessage *>::value||ImplicitlyConvertible< const T *, const ::proto2::Message *>::value >
typedef bool_constant< bool_value > | type
Static Public Attributes inherited from testing::internal::bool_constant< ImplicitlyConvertible< const T *, const ::ProtocolMessage *>::value||ImplicitlyConvertible< const T *, const ::proto2::Message *>::value >
static const bool | value

## Detailed Description

### template<typename T>
struct testing::internal::IsAProtocolMessage< T >

Definition at line 7392 of file gtest.h.

The documentation for this struct was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h